#ifndef __NODE_H__
#define __NODE_H__

#include "NodeInterface.h"
#include <iostream>

class node : public NodeInterface {
    public:
        int data;
        node(int data);
        node* right;
        node* left;
        int getData();
        NodeInterface* getLeftChild();
        NodeInterface* getRightChild();
};
#endif
